namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "worry_seed")]
public class WorrySeed : Script, IScriptOnSecondaryEffect
{
    /// <inheritdoc />
    public void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        var abilityLibrary = move.Battle.Library.StaticLibrary.Abilities;
        if (!abilityLibrary.TryGet("insomnia", out var ability))
        {
            // Edge case: if the ability is not found, we should not change the ability.
            return;
        }
        target.ChangeAbility(ability);
    }
}